List Pix Trusted Contact
GET/v1/pix/trusted-contacts
Retrieve a list of pix trusted contact for the user.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Pix Trusted Contact document.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
The trusted contact returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
PixTrustedContact data.
Pix Trusted Contact ID.
Pix Trusted Contact name.
Pix Trusted Contact document.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Pix Trusted Contact person type.
Pix Trusted Contact account number.
Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP]
Pix Trusted Contact account type.
Pix Trusted Contact branch number.
Pix Trusted Contact bank name.
Pix Trusted Contact bank ISPB.
Pix Trusted Contact created at.
Pix Trusted Contact updated at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "John Doe",
"document": "12345678900",
"person_type": "NATURAL_PERSON",
"account_number": "12345678",
"account_type": "CACC",
"branch_number": "0001",
"bank_name": "Any Bank",
"bank_ispb": "12345678",
"created_at": "2026-03-26T14:02:58.620Z",
"updated_at": "2026-03-26T14:02:58.620Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.